//
//  ExtensionVisibility.swift
//  ResgenSwift
//
//  Created by Thibaut Schmitt on 17/07/2025.
//

import ArgumentParser

package enum ExtensionVisibility: String, CustomStringConvertible, ExpressibleByArgument {

    case `public`
    case `private`
    case `internal`
    case `package`

    // MARK: - CustomStringConvertible

    package var description: String {
        switch self {
        case .public:
            "public"

        case .private:
            "private"

        case .internal:
            "internal"

        case .package:
            "package"
        }
    }
}
